Qyra
ReferenceGit Integration

Create PR for custom metrics

Create a pull request for custom metrics

POST/api/v1/projects/{projectUuid}/git-integration/pull-requests/custom-metrics

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes

Request body

{
  "quoteChar": "\"",
  "customMetrics": [
    {
      "label": "string",
      "type": "percentile",
      "description": "string",
      "sql": "string",
      "hidden": true,
      "round": 0,
      "compact": "auto",
      "format": "km",
      "separator": "default",
      "table": "string",
      "name": "string",
      "index": 0,
      "filters": [
        {
          "includeNull": true,
          "values": [
            "string"
          ],
          "operator": "isNull",
          "id": "string",
          "target": {
            "fieldRef": "string"
          },
          "settings": "string",
          "disabled": true,
          "required": true,
          "caseSensitive": true
        }
      ],
      "baseDimensionName": "string",
      "baseMetricName": "string",
      "uuid": "string",
      "percentile": 0,
      "distinctKeys": [
        "string"
      ],
      "formatOptions": {
        "type": "default",
        "round": 0,
        "separator": "default",
        "currency": "string",
        "compact": "auto",
        "prefix": "string",
        "suffix": "string",
        "timeInterval": "RAW",
        "custom": "string"
      },
      "generationType": "periodOverPeriod",
      "baseMetricId": "string",
      "timeDimensionId": "string",
      "granularity": "RAW",
      "periodOffset": 0
    }
  ]
}

Responses

200 — Success

{
  "results": {
    "prUrl": "string",
    "prTitle": "string"
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}